<?php

namespace FiloBlu\Design\Block;

class Customer extends \Magento\Framework\View\Element\Template {

    public $_storeManager;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context, 
        array $data = [], 
        \Magento\Store\Model\StoreManagerInterface $_storeManager
    ) {
        $this->_storeManager = $_storeManager;
        parent::__construct($context, $data);
    }

    public function getWebsiteId() {
        return $this->_storeManager->getStore()->getWebsiteId();
    }

}
